[next] [prev] [prev-tail] [tail] [up]

#### 5.2.3 #IFNDEF

Syntax:

#IFNDEF name

Lines following #IFNDEF are read only if the keyword name following it is not defined.

They are read until the keywords #ELSE or #ENDIF are encountered, after which normal processing is resumed.

Example :

#IFNDEF VER2_6_0
-Fu/usr/lib/fpc/2.6.0/linuxunits
#ENDIF

In the above example, /usr/lib/fpc/2.6.0/linuxunits will be added to the path if you’re NOT compiling with version 2.6.0 of the compiler.

[next] [prev] [prev-tail] [front] [up]